Skip to content

Get state transitions by payment ID

Request

Gets the state transitions for a payment by ID.

Security
Bearer
Path
paymentIdstring, (uuid)required

Unique identifier of the payment for which you want to get state transition information.

Example:7ea3399c-1234-5678-8d8f-d320ea406630
curl -i -X GET \
  https://docs.ripple.com/_mock/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/v2/payments/7ea3399c-1234-5678-8d8f-d320ea406630/states \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successfully fetched payment state transitions.

Bodyapplication/json
stateTransitionsArray of objectsrequired
Response
{ "stateTransitions": [ { … } ] }